> For the complete documentation index, see [llms.txt](https://docs.cartat.net/cartat-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cartat.net/cartat-api/whatsapp-api/instance/settings/get-settings.md).

# Get Settings

**if you need to get your instance settings such as webhook URL or other settings use this point**

## To get your instance settings

<mark style="color:blue;">`GET`</mark> `https://api.cartat.net/instance/settings`

#### Headers

| Name                                            | Type             | Description                                                       |
| ----------------------------------------------- | ---------------- | ----------------------------------------------------------------- |
| Accept<mark style="color:red;">\*</mark>        | application/json |                                                                   |
| Content-Type<mark style="color:red;">\*</mark>  | application/json |                                                                   |
| Authorization<mark style="color:red;">\*</mark> | Bearer {{token}} | you can find your access token [here](/cartat-api/get-started.md) |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "archive": true,
    "webhook": {
        "is_active": false,
        "ack_events": false,
        "webhook_url": "https://webhook.site",
        "instance_events": false,
        "messages_events": false
    }
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
settings explain
{% endhint %}

<table data-column-title-hidden data-view="cards"><thead><tr><th>Setting</th><th>usage</th><th></th></tr></thead><tbody><tr><td><strong>archive</strong></td><td><p><mark style="color:blue;">True/False</mark></p><p>set to true to put any sent message </p><p>to the archive on WhatsApp automatically.</p></td><td></td></tr><tr><td><strong>webhook->is_active</strong></td><td><p><mark style="color:blue;">True/False</mark></p><p>to active/deactive webhook events</p></td><td></td></tr><tr><td><strong>webhook->ack_events</strong></td><td><p><mark style="color:blue;">True/False</mark></p><p>to active/deactive read indecators events, eg: when message are read, the ack event will trigger.</p></td><td></td></tr><tr><td><strong>webhook->webhook_url</strong></td><td><p><mark style="color:blue;">URL</mark></p><p>the webhook URL that you will receive events on it</p></td><td></td></tr><tr><td><strong>webhook->instance_events</strong></td><td><mark style="color:blue;">True/False</mark></td><td>to active/deactive receving instance events such as : qr, ready etc ... <a href="/pages/ni7ts7XQSetKXwHerg0m">reference</a></td></tr><tr><td><strong>webhook->messages_events</strong></td><td><mark style="color:blue;">True/False</mark></td><td>to active/deactive receving  messages events, when new message arrived we will send the message payload to your webhook URL</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cartat.net/cartat-api/whatsapp-api/instance/settings/get-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
